DespatchAdvice

Retrieves the collection of DespatchAdvice resources.

Retrieves the collection of DespatchAdvice resources.

SecurityBearer
Request
query Parameters
page
integer
Default: 1

The collection page number

itemsPerPage
integer [ 0 .. 30 ]
Default: 30

The number of items per page

senderName
string
senderId
string
senderId[]
Array of strings
recipientName
string
recipientId
string
recipientId[]
Array of strings
documentNumber
string
documentNumber[]
Array of strings
sortBy[createdAt]
string
Default: "desc"
Enum: "asc" "desc"
sortBy[documentDate]
string
Default: "asc"
Enum: "asc" "desc"
sortBy[senderName]
string
Default: "asc"
Enum: "asc" "desc"
sortBy[recipientName]
string
Default: "asc"
Enum: "asc" "desc"
createdAt[before]
string
createdAt[strictly_before]
string
createdAt[after]
string
createdAt[strictly_after]
string
documentDate[before]
string
documentDate[strictly_before]
string
documentDate[after]
string
documentDate[strictly_after]
string
downloaded
boolean
direction
string
Enum: "outgoing" "incoming"
Responses
200

DespatchAdvice collection

get/despatch-advices
Request samples
Response samples
{
  • "hydra:member": [
    ],
  • "hydra:totalItems": 0,
  • "hydra:view": {
    },
  • "hydra:search": {
    }
}

Mark the documents as downloaded

This is useful to keep track of the document that have been received by the user.

SecurityBearer
Request
Request Body schema: application/json
required

The new DespatchAdvice resource

downloaded
required
boolean
uuids
required
Array of strings non-empty
Responses
204

DespatchAdvice resource created

400

Invalid input

422

An error occurred

post/despatch-advices/downloaded
Request samples
application/json
{
  • "downloaded": true,
  • "uuids": [
    ]
}
Response samples
null

Create a new despatch advice in UBL format

Send a despatch advice in either the original XML format or the JSON transposition. You must send the XML or JSON as the request body along with the right Content-Type header (application/xml or application/json).

Optionally you can send the X-Validation-Rule: {validation-rule-code} where {validation-rule-code} is one of the available validation rules you can use. You can retrieve a list of the available validation rules using the API GET /validation-rules. By default the validation rule is autodetected using the latest rule available for the given document.

SecurityBearer
Responses
202

DespatchAdvice resource created

400

Invalid input

422

An error occurred

post/despatch-advices/outgoing/ubl
Request samples
Response samples
{
  • "@context": "string",
  • "@id": "string",
  • "@type": "string",
  • "uuid": "string",
  • "direction": "outgoing",
  • "format": "UBL 2.1 XML",
  • "number": "string",
  • "date": "string",
  • "sender": {
    },
  • "recipient": {
    },
  • "createdAt": "string",
  • "downloaded": true,
  • "peppolMessage": {
    }
}

Retrieves a DespatchAdvice resource.

Retrieves a DespatchAdvice resource.

SecurityBearer
Request
path Parameters
uuid
required
string

DespatchAdvice identifier

Responses
200

DespatchAdvice resource

404

Not found

get/despatch-advices/{uuid}
Request samples
Response samples
{
  • "@context": "string",
  • "@id": "string",
  • "@type": "string",
  • "uuid": "string",
  • "direction": "outgoing",
  • "format": "UBL 2.1 XML",
  • "number": "string",
  • "date": "string",
  • "sender": {
    },
  • "recipient": {
    },
  • "createdAt": "string",
  • "downloaded": true,
  • "peppolMessage": {
    }
}

Get the original source document

You can retrieve the original source document in either XML or JSON format.

SecurityBearer
Request
path Parameters
uuid
required
string

DespatchAdvice identifier

Responses
204

DespatchAdvice resource

404

Not found

get/despatch-advices/{uuid}/source
Request samples
Response samples
No sample